"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getConfig = void 0;
const path_1 = require("path");
const misc_1 = require("./misc");
const constant_1 = require("./constant");
// eslint-disable-next-line @typescript-eslint/no-explicit-any
const getConfig = async (fileName, octokit, context, options = {}) => {
    const { configPath = '.github', ref } = options;
    try {
        const params = {
            owner: context.repo.owner,
            repo: context.repo.repo,
            path: path_1.join(configPath, fileName),
        };
        if (ref) {
            params.ref = ref;
        }
        return misc_1.parseConfig((await octokit.repos.getContent(params)).data['content']);
    }
    catch (error) {
        if (error.status && constant_1.NOT_FOUND_STATUS === error.status) {
            return false;
        }
        throw error;
    }
};
exports.getConfig = getConfig;
